/* The Modal (background) */


/* Style général du modal avec un fond légèrement rouge */
.modal-content {
    background-color: #fff5f5;
}

/* Titres en rouge */
.modal-header h2,
.modal-footer h3 {
    color: #d32f2f;
    /* Un rouge plus foncé pour un meilleur contraste */
}

/* Bordures des inputs en rouge */
input[type="text"],
.form-control {
    border: 1px solid #d32f2f;
}

/* Boutons en rouge */
button.btn-info {
    background-color: #d32f2f;
    border-color: #b71c1c;
    /* Un peu plus foncé que le fond du bouton pour le contraste */
}

/* Couleur de texte du bouton pour assurer la lisibilité */
button.btn-info {
    color: white;
}

/* Changer la couleur du span close (x) */
span.close {
    color: #d32f2f;
    font-size: 28px;
    font-weight: bold;
}

/* Style pour le texte de validation sous le checkbox */
label[for="accept_condi"] {
    color: #d32f2f;
    /* Rouge pour attirer l'attention sur le texte de consentement */
}

/* Modifiez les couleurs des radios et des checkboxes pour les harmoniser avec le thème rouge */
input[type="radio"]:checked,
input[type="checkbox"]:checked {
    background-color: #d32f2f;
    border-color: #d32f2f;
}

/* Styles supplémentaires pour les éléments actifs ou au survol pour renforcer le thème rouge */
input[type="text"]:focus,
.form-control:focus {
    border-color: #d32f2f;
    box-shadow: 0 0 5px rgba(211, 47, 47, 0.5);
}

button.btn-info:hover {
    background-color: #b71c1c;
}


.modal {
    display: none;
    /* Hidden by default */
    position: fixed;
    /* Stay in place */
    z-index: 1;
    /* Sit on top */
    left: 0;
    top: 0;
    width: 100%;
    /* Full width */
    height: 100%;
    /* Full height */
    overflow: auto;
    /* Enable scroll if needed */
    background-color: rgb(0, 0, 0);
    /* Fallback color */
    background-color: rgba(0, 0, 0, 0.4);
    /* Black w/ opacity */
    padding-top: 60px;
}

/* Modal Content/Box */
.modal-content {
    background-color: #fefefe;
    margin: 5% auto;
    /* 15% from the top and centered */
    padding: 20px;
    border: 1px solid #888;
    width: 80%;
    /* Could be more or less, depending on screen size */
}

/* The Close Button */
.close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close:hover,
.close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}

/* Add responsiveness - will automatically appear in full-screen on small screens */
@media screen and (max-width: 600px) {
    .modal-content {
        width: 95%;
    }
}